package com.master.playit;

import android.os.Bundle;
import android.util.Log;
import android.widget.TabHost;
import android.widget.TextView;

import com.master.playit.helper.General;
import roboguice.activity.RoboActivity;
import roboguice.inject.InjectView;

import java.io.DataInputStream;
import java.io.IOException;
import java.io.InputStream;

public class HelpActivity extends RoboActivity {
    @InjectView(R.id.TabHost_Help)      TabHost helpTab;
    @InjectView(R.id.TextView_GeneralHelp)      TextView generalText;
    @InjectView(R.id.TextView_CreateHelp)      TextView createText;
    @InjectView(R.id.TextView_PlayHelp)      TextView playText;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.help);

        helpTab.setup();
        TabHost.TabSpec createdTab = helpTab.newTabSpec("generalTab");
        createdTab.setIndicator(getResources().getString(R.string.help), getResources().getDrawable(android.R.drawable.ic_menu_help));
        createdTab.setContent(R.id.TextView_GeneralHelp);
        helpTab.addTab(createdTab);

        TabHost.TabSpec latestTab = helpTab.newTabSpec("createTab");
        latestTab.setIndicator(getResources().getString(R.string.create), getResources().getDrawable(android.R.drawable.ic_menu_help));
        latestTab.setContent(R.id.TextView_CreateHelp);
        helpTab.addTab(latestTab);

        TabHost.TabSpec requestTab = helpTab.newTabSpec("playTab");
        requestTab.setIndicator(getResources().getString(R.string.play), getResources().getDrawable(android.R.drawable.ic_menu_help));
        requestTab.setContent(R.id.TextView_PlayHelp);
        helpTab.addTab(requestTab);

        helpTab.setCurrentTabByTag("createdTab");

        String strFile = null;
        InputStream iFile = getResources().openRawResource(R.raw.general_help);
        try {
            strFile = inputStreamToString(iFile);
        } catch (IOException e) {
            Log.e(General.DEBUG_TAG, "InputStreamToString failure", e);
        }
        generalText.setText(strFile);

        iFile = getResources().openRawResource(R.raw.create_help);
        try {
            strFile = inputStreamToString(iFile);
        } catch (IOException e) {
            Log.e(General.DEBUG_TAG, "InputStreamToString failure", e);
        }
        createText.setText(strFile);

        iFile = getResources().openRawResource(R.raw.play_help);
        try {
            strFile = inputStreamToString(iFile);
        } catch (IOException e) {
            Log.e(General.DEBUG_TAG, "InputStreamToString failure", e);
        }
        playText.setText(strFile);
    }
    /**
     * Converts an input stream to a string
     *
     * @param is
     *            The {@code InputStream} object to read from
     * @return A {@code String} object representing the string for of the input
     * @throws java.io.IOException
     *             Thrown on read failure from the input
     */
    public String inputStreamToString(InputStream is) throws IOException {
        StringBuffer sBuffer = new StringBuffer();
        DataInputStream dataIO = new DataInputStream(is);
        String strLine;
        while ((strLine = dataIO.readLine()) != null) {
            sBuffer.append(strLine + "\n");
        }
        dataIO.close();
        is.close();
        return sBuffer.toString();
    }
}
