package com.master.playit;

import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.CheckBoxPreference;
import android.preference.EditTextPreference;
import android.preference.ListPreference;
import android.preference.PreferenceManager;
import com.master.playit.helper.General;
import roboguice.activity.RoboPreferenceActivity;
import roboguice.inject.InjectPreference;

public class SettingsActivity extends RoboPreferenceActivity {
    @InjectPreference("threeGPref") CheckBoxPreference threeG;
    @InjectPreference("wifiPref") CheckBoxPreference wifi;
    @InjectPreference("tabPref") ListPreference mainTab;

    private EditTextPreference editTextPreference;

    private boolean threeGPref;
    private boolean wifiPref;
    private boolean startUpPref;
    private String tabPref;
    private String nicknamePref;
    private String emailPref;

    private SharedPreferences settings;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        addPreferencesFromResource(R.layout.settings);
        settings = PreferenceManager.getDefaultSharedPreferences(getBaseContext());
    }

    @Override
    protected void onStart() {
        super.onStart();
    }

    @Override
    protected void onPause() {
        super.onPause();
        getPrefs();
        savePrefs();
    }

    private void savePrefs() {
        SharedPreferences.Editor editor = settings.edit();
        editor.putBoolean(General.THREEG, threeGPref);
        editor.putBoolean(General.WIFI, wifiPref);
        editor.putBoolean(General.START_UP, startUpPref);
        editor.putString(General.MAIN_TAB, tabPref);
        editor.commit();
    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
        getPrefs();
        savePrefs();
    }

    private void getPrefs() {
        // Get the xml/preferences.xml preferences
        threeGPref = settings.getBoolean("threeGPref", false);
        wifiPref = settings.getBoolean("wifiPref", true);
        startUpPref = settings.getBoolean("startUpPref", false);
        tabPref = settings.getString("tabPref", "created");
    }
}
