package com.master.playit.helper;

import android.app.Activity;
import android.content.ContentValues;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;
import com.master.playit.R;

import java.util.ArrayList;

public class ResultAdapter extends BaseAdapter {
    private ArrayList<ContentValues> data;
    private LayoutInflater inflater;

    public ResultAdapter(Activity activity, ArrayList<ContentValues> questionSet) {
        this.data = questionSet;
        this.inflater = activity.getLayoutInflater();
    }

    @Override
    public int getCount() {
        return data.size();
    }

    @Override
    public Object getItem(int position) {
        return position;
    }

    @Override
    public long getItemId(int position) {
        return position;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        ContentValues attributes = data.get(position);
        if (convertView == null)
            convertView = new View(parent.getContext());
        convertView = inflater.inflate(R.layout.list_row_result, null);
        if (attributes.getAsInteger(General.SCORE) == 10)
            convertView.setBackgroundResource(R.drawable.green_result);

        TextView question = (TextView) convertView.findViewById(R.id.TextView_Result_Question);
        TextView answer = (TextView) convertView.findViewById(R.id.TextView_Result_Answer);
        TextView yourAnswer = (TextView) convertView.findViewById(R.id.TextView_Result_Your_Answer);
        TextView score = (TextView) convertView.findViewById(R.id.TextView_Result_Score);
        TextView hint = (TextView) convertView.findViewById(R.id.TextView_Result_Hint);

        if (attributes.getAsBoolean(General.HINT) == null) {
            hint.setVisibility(View.INVISIBLE);
        }
        question.setText(attributes.getAsString(General.XML_TAG_QUESTION));
        answer.setText("Answer: " + attributes.getAsString(General.XML_TAG_ANSWER));
        yourAnswer.setText("You answered: " + attributes.getAsString(General.ANSWERED));
        score.setText(attributes.getAsInteger(General.SCORE) + "");

        return convertView;
    }
}
