package com.application;

import org.restlet.ext.xml.DomRepresentation;
import org.restlet.resource.ResourceException;
import org.restlet.resource.ServerResource;

public class FriendsServerResource extends ServerResource implements FriendsResource {
    private JdbcService service;

    @Override
    protected void doInit()throws ResourceException {
        service = JdbcService.getInstance();
    }
    @Override
    public DomRepresentation get() {
        return service.getFriends(Integer.parseInt(getAttribute("userId")));
    }

    @Override
    public DomRepresentation store(DomRepresentation friend) {
        return service.addFriend(Integer.parseInt(getAttribute("userId")), friend);
    }

    @Override
    public String delete(DomRepresentation friend) {
        return service.deleteFriend(Integer.parseInt(getAttribute("userId")), friend);
    }
}
