package com.application;

import org.restlet.ext.xml.DomRepresentation;
import org.restlet.representation.Representation;
import org.restlet.resource.ResourceException;
import org.restlet.resource.ServerResource;

import java.io.IOException;

/**
 * User: malinbe
 * Date: 06.02.13
 */
public class PuzzleServerResource extends ServerResource implements PuzzleResource {
    private JdbcService service;

    @Override
    protected void doInit()throws ResourceException {
        service = JdbcService.getInstance();
    }
    @Override
    public DomRepresentation get() {
        return service.getPuzzle(Integer.parseInt(getAttribute("puzzleId")), false);
    }
    @Override
    public DomRepresentation getEditable() {
        return service.getPuzzle(Integer.parseInt(getAttribute("puzzleId")), true);
    }

    @Override
    public String putQuestionSet(DomRepresentation questionSets) {
        return service.saveQuestionSet(questionSets, Integer.parseInt(getAttribute("puzzleId")));
    }

//    @Override
//    public DomRepresentation getQuestionset() {
//        return service.getQuestionSet(Integer.parseInt(getAttribute("puzzleId")));
//    }

    @Override
    public String rate(Representation empty) throws IOException {
        return service.ratePuzzle(Integer.parseInt(getAttribute("puzzleId")), Integer.parseInt(getAttribute("rating")));
    }

    @Override
    public String store(DomRepresentation puzzle) {
        if(getAttribute("puzzleId") != null){
            return service.savePuzzle(puzzle, Integer.parseInt(getAttribute("puzzleId")));
        }
        return service.savePuzzle(puzzle, 0);
    }
    @Override
    public String remove() {
        return service.deletePuzzle(Integer.parseInt(getAttribute("puzzleId")));
    }
}
