package com.application;

import org.restlet.Application;
import org.restlet.Restlet;
import org.restlet.routing.Router;

public class RestletServerApplication extends Application {

    public RestletServerApplication(){
        setName("RESTful Restlet Server");
        setDescription("Restlet server application for master thesis");
        setOwner("malinbe");
        setAuthor("malinbe");
    }
    @Override
    public synchronized Restlet createInboundRoot(){
        Router router = new Router(getContext());

        router.attach("/", RootServerResource.class);

        router.attach("/puzzles/{query}", PuzzlesServerResource.class);   //  ?editable
        router.attach("/puzzles/", PuzzlesServerResource.class);

        router.attach("/puzzle/{puzzleId},{rating}", PuzzleServerResource.class);
        router.attach("/puzzle/{puzzleId}", PuzzleServerResource.class);       //   ?editable  ?questionset    ?collaborate
        router.attach("/puzzle/", PuzzleServerResource.class);                 // save

        router.attach("/publish/{puzzleId}", PublishServerResource.class);

        router.attach("/user/{userId}", UserServerResource.class);         //   ?email
        router.attach("/user/", UserServerResource.class);

        router.attach("/highscore/{puzzleId},{userId}", HighscoreServerResource.class);
        router.attach("/highscore/{puzzleId}", HighscoreServerResource.class);                // ?timesplayed

        router.attach("/friend/{userId}", FriendsServerResource.class);

        router.attach("/game/{requestId},{winnerId},{winnerScore}", GameServerResource.class);  // updateRequest
        router.attach("/game/{id}", GameServerResource.class);  // getRequests     ?challenger
        router.attach("/game/", GameServerResource.class);     // addRequest       ?random

        return router;
    }
}
