package com.application;

import org.restlet.ext.xml.DomRepresentation;
import org.restlet.representation.Representation;
import org.restlet.representation.StringRepresentation;
import org.restlet.resource.ResourceException;
import org.restlet.resource.ServerResource;

public class UserServerResource extends ServerResource implements UserResource {
    private JdbcService service;

    @Override
    protected void doInit()throws ResourceException {
        service = JdbcService.getInstance();
    }

    @Override
    public DomRepresentation getUser() {
        return service.getUser(Integer.parseInt(getAttribute("userId")));
    }

    @Override
    public Representation getUserId() {
        return new StringRepresentation(String.valueOf(service.getUserId(getAttribute("userId"))));
    }

    @Override
    public String saveUser(DomRepresentation user) {
        return service.saveUser(user);
    }

    @Override
    public String deleteUser() {
        if(getAttribute("userId") != null){
            return service.deleteUser(Integer.parseInt(getAttribute("userId")));
        }else {
            return service.deleteUsers();
        }
    }
}
